org.wildfly.swarm.config.management

## Class IdentityAccess<T extends IdentityAccess<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.IdentityAccess<T>

-     public class IdentityAccess<T extends IdentityAccess<T>>
      extends Object

  Identity definition for management actions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityAccess()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `securityDomain()` Reference to the security domain to use to obtain the current identity performing a management request.
    `T` | `securityDomain(String value)` Reference to the security domain to use to obtain the current identity performing a management request.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityAccess

          public IdentityAccess()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### securityDomain

          public String securityDomain()

      Reference to the security domain to use to obtain the current identity performing a management request.

    - #### securityDomain

          public T securityDomain(String value)

      Reference to the security domain to use to obtain the current identity performing a management request.

Copyright © 2018 JBoss by Red Hat. All rights reserved.